/*
 * Created on 21.02.2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code Template
 */
package at.bestsolution.drawswf;

import at.bestsolution.util.BestsolutionConfiguration;

/**
 * @author tom
 */
public abstract class AbstractPlugin
{
    protected PluginLoader loader_;
    protected static DrawingPanel drawing_panel_;
    protected static MainWindow main_window_;

    public AbstractPlugin()
    {

    }

    public void init(PluginLoader loader, DrawingPanel drawing_panel, MainWindow main_window)
    {
        loader_ = loader;
        drawing_panel_ = drawing_panel;
        main_window_ = main_window;
    }

    public abstract void loadSelf();

    public static DrawingPanel getDrawingPanel()
    {
        return drawing_panel_;
    }

    public static MainWindow getMainWindow()
    {
        return main_window_;
    }

    public BestsolutionConfiguration getConfig()
    {
        return null;
    }
}
