/*
 * Created on 21.02.2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code Template
 */
package at.bestsolution.drawswf;

import javax.swing.BorderFactory;
import javax.swing.JToolBar;

import at.bestsolution.drawswf.toolbar.DrawEditToolbar;
import at.bestsolution.drawswf.toolbar.DrawFileToolbar;
import at.bestsolution.drawswf.toolbar.DrawMovieToolbar;
import at.bestsolution.drawswf.toolbar.DrawToolsToolbar;

/**
 * @author tom
 */
public class DrawToolBar extends JToolBar
{
    private DrawFileToolbar file_tool_;
    private DrawEditToolbar edit_tool_;
    private DrawMovieToolbar movie_tool_;
    private DrawToolsToolbar tools_tool_;

    public DrawToolBar(DrawObjectList draw_object_list)
    {
        super();
        setBorder(BorderFactory.createRaisedBevelBorder());
        file_tool_ = new DrawFileToolbar();
        add(file_tool_);
        edit_tool_ = new DrawEditToolbar();
        add(edit_tool_);
        tools_tool_ = new DrawToolsToolbar();
        add(tools_tool_);
        movie_tool_ = new DrawMovieToolbar();
        add(movie_tool_);
    }

    public void changeDrawingType(int index)
    {
        tools_tool_.changeDrawingType(index);
    }

    public void addGenericMenuItem()
    {
        // TODO for plugins implement a generic add method like we did for menu
    }
}
