/*
 * Created on 21.02.2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code Template
 */
package at.bestsolution.drawswf;

import javax.swing.JMenuBar;

import at.bestsolution.drawswf.actions.AbstractDrawAction;
import at.bestsolution.drawswf.menu.DrawEditMenu;
import at.bestsolution.drawswf.menu.DrawFileMenu;
import at.bestsolution.drawswf.menu.DrawHelpMenu;
import at.bestsolution.drawswf.menu.DrawMovieMenu;
import at.bestsolution.drawswf.menu.DrawToolsMenu;

/**
 * @author tom
 */
public class DrawMenuBar extends JMenuBar
{
    private DrawFileMenu file_menu_;
    private DrawEditMenu edit_menu_;
    private DrawToolsMenu tools_menu_;
    private DrawMovieMenu movie_menu_;
    private DrawHelpMenu help_menu_;
    
    public DrawMenuBar(DrawObjectList draw_object_list)
    {
        super();

    
        file_menu_ = new DrawFileMenu(MainWindow.getI18n().getString("MainWindowFile"), MainWindow.getI18n().getString("MainWindowFileMn").charAt(0));
        add(file_menu_);
        edit_menu_ = new DrawEditMenu(MainWindow.getI18n().getString("MainWindowEdit"), MainWindow.getI18n().getString("MainWindowEditMn").charAt(0));
        add(edit_menu_);
        tools_menu_ = new DrawToolsMenu(MainWindow.getI18n().getString("MainWindowTools"), MainWindow.getI18n().getString("MainWindowToolsMn").charAt(0), draw_object_list);
        add(tools_menu_);
        movie_menu_ = new DrawMovieMenu(MainWindow.getI18n().getString("MainWindowMovie"), MainWindow.getI18n().getString("MainWindowMovieMn").charAt(0));
        add(movie_menu_);
        help_menu_ = new DrawHelpMenu(MainWindow.getI18n().getString("MainWindowHelp"), MainWindow.getI18n().getString("MainWindowHelpMn").charAt(0));
        add(help_menu_);
    }

    public void changeDrawingType(int index)
    {
        tools_menu_.changeDrawingType(index);
    }

    public void addGenericMenuItem(String menu_name, AbstractDrawAction abstract_action, int position)
    {
        if( menu_name.equals("file") )
        {
            file_menu_.addGenericMenuItem(abstract_action, position);
        }
        else if( menu_name.equals("edit") )
        {
            edit_menu_.addGenericMenuItem(abstract_action, position);
        }
        else if( menu_name.equals("tools") )
        {
            tools_menu_.addGenericMenuItem(abstract_action, position);
        }
        else if( menu_name.equals("movie") )
        {
            movie_menu_.addGenericMenuItem(abstract_action, position);
        }
        else if( menu_name.equals("help") )
        {
            help_menu_.addGenericMenuItem(abstract_action, position);
        }
        
    }
}
