/*
 * Created on 21.02.2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code Template
 */
package at.bestsolution.drawswf.menu;

import javax.swing.JMenu;

import at.bestsolution.drawswf.MainWindow;
import at.bestsolution.drawswf.actions.AboutAction;
import at.bestsolution.drawswf.actions.AbstractDrawAction;

/**
 * @author tom
 */
public class DrawHelpMenu extends JMenu
{
    public DrawHelpMenu(String label, char mnemonic)
    {
        super(label);
        setMnemonic(mnemonic);
        initMenu();
    }
    
    //----------------------------------------------------------------------------
    private void initMenu()
    {
        setMnemonic( MainWindow.getI18n().getString("MainWindowHelpMn").charAt(0) );
        AboutAction about_action = new AboutAction(MainWindow.getI18n().getString( "MainWindowHelpItemAbout"),MainWindow.getI18n().getString( "MainWindowHelpItemAboutTooltip"), "about.png", MainWindow.getDrawingPanel(), MainWindow.getI18n().getString( "MainWindowHelpItemAboutMn").charAt(0), null);
        add(about_action);
    }

    /* (non-Javadoc)
     * @see at.bestsolution.drawswf.menu.DrawMenuInterface#addGenericMenuItem(at.bestsolution.drawswf.actions.AbstractDrawAction)
     */
    public void addGenericMenuItem(AbstractDrawAction draw_action, int position )
    {
        insert( draw_action, position );
    }


}
