/*
 * Created on 21.02.2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code Template
 */
package at.bestsolution.drawswf.menu;

import javax.swing.JMenu;
import javax.swing.KeyStroke;

import at.bestsolution.drawswf.MainWindow;
import at.bestsolution.drawswf.actions.AbstractDrawAction;
import at.bestsolution.drawswf.actions.PlayAction;

/**
 * @author tom
 */
public class DrawMovieMenu extends JMenu
{
    public DrawMovieMenu(String label, char mnemonic)
    {
        super(label);
        setMnemonic(mnemonic);
        initMenu();
    }
    
    //----------------------------------------------------------------------------
    private void addPlayAction(String displayedText, String description, String icon_name, int mnemonicKey, KeyStroke accelerator, boolean start )
    {
        PlayAction play_action = new PlayAction( displayedText, description, icon_name, MainWindow.getDrawingPanel(), mnemonicKey, accelerator, start);
        add(play_action);
    }

    
    //----------------------------------------------------------------------------
    private void initMenu()
    {
        addPlayAction(MainWindow.getI18n().getString( "MainWindowMovieItemPlay"),MainWindow.getI18n().getString( "MainWindowMovieItemPlayTooltip"), "play.png", MainWindow.getI18n().getString( "MainWindowMovieItemPlayMn").charAt(0), null, true);
        addPlayAction(MainWindow.getI18n().getString( "MainWindowMovieItemStop"),MainWindow.getI18n().getString( "MainWindowMovieItemStopTooltip"), "stop.png", MainWindow.getI18n().getString( "MainWindowMovieItemStopMn").charAt(0), null, false);
    }

    /* (non-Javadoc)
     * @see at.bestsolution.drawswf.menu.DrawMenuInterface#addGenericMenuItem(at.bestsolution.drawswf.actions.AbstractDrawAction)
     */
    public void addGenericMenuItem(AbstractDrawAction draw_action, int position )
    {
        insert( draw_action, position );
    }


}
